mscorlib 2.0.0.0 4.0.0.0 System.Object

The is part of a larger . The host context migrates, or flows, with the execution context.

Encapsulates and propagates the host execution context across threads.

- Constructor
  2.0.0.0
  4.0.0.0

  The default constructor creates a host execution context whose property value is null.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  The is included with the . The represents a safe handle containing the IUnknown pointer for the host.

  Initializes a new instance of the class using the specified state.

  An object representing the host execution context state.
- Method
  2.0.0.0
  4.0.0.0
  System.Threading.HostExecutionContext

  The copy can be used as the parameter to a method call.

  Creates a copy of the current host execution context.

  A object representing the host context for the current thread.

- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  The property value represents a safe handle containing the IUnknown pointer for the host.

  Gets or sets the state of the host execution context.